QuickHashIntHash::__construct
QuickHashIntHash::exists
QuickHashIntHash
PHP Manual

# QuickHashIntHash::delete

(PECL quickhash >= Unknown)

QuickHashIntHash::delete — This method deletes am entry from the hash

### Description

public bool QuickHashIntHash::delete ( int `$key` )

This method deletes an entry from the hash, and returns whether the entry was deleted or not. Associated memory structures will not be freed immediately, but rather when the hash itself is freed.

Elements can not be deleted when the hash is used in an iterator. The method will not throw an exception, but simply return `FALSE` like would happen with any other deletion failure.

### Parameters

`key`

  The key of the entry to delete.

### Return Values

`TRUE` when the entry was deleted, and `FALSE` if the entry was not deleted.

### Examples

Example #1 QuickHashIntHash::delete() example

`<?php
$hash = new QuickHashIntHash( 1024 );
var_dump( $hash->exists( 4 ) );
var_dump( $hash->add( 4, 5 ) );
var_dump( $hash->delete( 4 ) );
var_dump( $hash->exists( 4 ) );
var_dump( $hash->delete( 4 ) );
?>`

The above example will output something similar to:

    bool(false)
    bool(true)
    bool(true)
    bool(false)
    bool(false)

QuickHashIntHash::__construct
QuickHashIntHash::exists
QuickHashIntHash
PHP Manual